QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Supplier
    v1.0.0

    Get supplier details

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    userIdstringpathYesQIMA client user login ID.
    supplierIdstringpathYesSupplier id
    Responses

    200
    Supplier's detail returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    idstringQIMA supplier id
    entityNamestringSupplier name
    chineseNamestringSupplier name in local language
    continentstringSupplier continent id, get it from /parameter/v2/continents
    countrystringSupplier country id, get it from /parameter/v2/searchCountries, /parameter/v2/countries or /parameter/v2/continent/{continentId}/countries
    provincestringSupplier province id, get it from /parameter/v2/country/{countryId}/provinces
    citystringSupplier city id, get it from /parameter/v2/country/{countryId}/searchCities, /parameter/v2/province/{provinceId}/searchCities or /parameter/v2/country/{countryId}/cities
    districtstringSupplier district id, if applicable. `null` when not provided.
    districtNamestringSupplier district name, if applicable. `null` when not provided.
    addressstringSupplier's address
    postcodestring
    nearestOfficestringNearest QIMA office name
    websitestring
    salesTurnoverstring
    noOfEmployeesstringSupplier's employee count
    userIdstring
    typestring
    businessLicenseNostring
    titlestring
    addressCnstringSupplier's address in local language
    identificationCodestringSupplier's identifier code in client's system, can be used to link suppliers between QIMA's system and QIMA client's system
    cityNamestringSupplier's city name
    countryNamestringSupplier's country name
    mainProductLinesarraySupplier's product lines, get product line from /parameter/v2/product-families API
    contactInfoobject
    contactInfo.mainobject
    contactInfo.main.namestringContact's first name plus given name
    contactInfo.main.departmentstring
    contactInfo.main.titlestringContact's working position name
    contactInfo.main.phonestringContact's phone number
    contactInfo.main.mobilestringContact's mobile phone number
    contactInfo.main.emailstringContact's email(s), separate by semi-colon when multiple
    contactInfo.alternateobject
    accessMapsarray
    accessMaps[].idstring
    accessMaps[].docTypestring
    accessMaps[].fileNamestring
    accessMaps[].fileSizeinteger
    accessMaps[].urlstring
    qualityDocsarray
    createBystring
    updateBystring
    {
      "message": null,
      "content": {
        "id": "A7B918B5222D4B0F98061168865EAF17",
        "entityName": "Sample Supplier Co.",
        "country": "23424781",
        "city": "12687656",
        "address": "NO.1, A ROAD, B STREET, C DISTRICT",
        "userId": "4C6E94072DFC4918B60752F701DE544A",
        "type": "SUPPLIER",
        "identificationCode": "CLIENT-SUP-002",
        "cityName": "Shenzhen",
        "countryName": "China",
        "mainProductLines": [
          "bigCat1_s2",
          "bigCat1_s3"
        ],
        "contactInfo": {
          "main": {
            "name": "Jane Doe",
            "phone": "+86 0755 81112222",
            "email": "main.contact@example.com;alternate.contact@example.com"
          }
        },
        "accessMaps": [],
        "qualityDocs": []
      }
    }

    Content-Type: application/json

    GET
    /user/v2/{userId}/supplier/{supplierId}
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": { "id": "A7B918B5222D4B0F98061168865EAF17", "entityName": "Sample Supplier Co.", "country": "23424781", "city": "12687656", "address": "NO.1, A ROAD, B STREET, C DISTRICT", "userId": "4C6E94072DFC4918B60752F701DE544A", "type": "SUPPLIER", "identificationCode": "CLIENT-SUP-002", "cityName": "Shenzhen", "countryName": "China", "mainProductLines": [ "bigCat1_s2", "bigCat1_s3" ], "contactInfo": { "main": { "name": "Jane Doe", "phone": "+86 0755 81112222", "email": "main.contact@example.com;alternate.contact@example.com" } }, "accessMaps": [], "qualityDocs": [] } }